| Home | Libraries | People | FAQ | More

## Function throw_length_error

boost::container::throw_length_error

## Synopsis

    // In header: <boost/container/throw_exception.hpp>

    void throw_length_error(const char * str);

## Description

Exception callback called by Boost.Container to signal errors resizing.

- If BOOST_NO_EXCEPTIONS is NOT defined `std::length_error(str)` is thrown.

- If BOOST_NO_EXCEPTIONS is defined and BOOST_CONTAINER_USER_DEFINED_THROW_CALLBACKS is NOT defined `BOOST_ASSERT_MSG(!"boost::container length_error thrown", str)` is called and `std::abort()` if the former returns.

- If BOOST_NO_EXCEPTIONS and BOOST_CONTAINER_USER_DEFINED_THROW_CALLBACKS are defined the user must provide an implementation and the function should not return.